---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3C20, symSize: 0x270 }
  - { offsetInCU: 0x465, offset: 0x465, size: 0x8, addend: 0x0, symName: _g_fakeUserData, symObjAddr: 0x51340, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x47A, offset: 0x47A, size: 0x8, addend: 0x0, symName: _g_userDataError, symObjAddr: 0x51344, symBinAddr: 0xC264, symSize: 0x0 }
  - { offsetInCU: 0x48F, offset: 0x48F, size: 0x8, addend: 0x0, symName: _g_wrongHeapCallbacks, symObjAddr: 0x51348, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0xAFD, offset: 0xAFD, size: 0x8, addend: 0x0, symName: _g_refKindStr, symObjAddr: 0xE340, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0xB23, offset: 0xB23, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x513D0, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0xB4A, offset: 0xB4A, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53310, symBinAddr: 0xE230, symSize: 0x0 }
  - { offsetInCU: 0xB6C, offset: 0xB6C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53700, symBinAddr: 0xE620, symSize: 0x0 }
  - { offsetInCU: 0xB8E, offset: 0xB8E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x546A0, symBinAddr: 0xF5C0, symSize: 0x0 }
  - { offsetInCU: 0xBA3, offset: 0xBA3, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x546B0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50FC0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50FC4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC34, offset: 0xC34, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50FC8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC79, offset: 0xC79, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51120, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x511D8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xD10, offset: 0xD10, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x511DC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xD29, offset: 0xD29, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x511E0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xD42, offset: 0xD42, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x511E4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD5B, offset: 0xD5B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x511E8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x934A, offset: 0x934A, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x511F0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x93D3, offset: 0x93D3, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51200, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51208, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9405, offset: 0x9405, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51210, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x941E, offset: 0x941E, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51218, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9437, offset: 0x9437, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51220, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9451, offset: 0x9451, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51228, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9537, offset: 0x9537, size: 0x8, addend: 0x0, symName: __ZL9g_timeout, symObjAddr: 0x51270, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9550, offset: 0x9550, size: 0x8, addend: 0x0, symName: __ZL15g_heapCallbacks, symObjAddr: 0x51278, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9569, offset: 0x9569, size: 0x8, addend: 0x0, symName: __ZL14g_jniGlobalRef, symObjAddr: 0x51330, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x9582, offset: 0x9582, size: 0x8, addend: 0x0, symName: __ZL18g_jniWeakGlobalRef, symObjAddr: 0x51338, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x95D4, offset: 0x95D4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x28C0, symSize: 0x80 }
  - { offsetInCU: 0x9669, offset: 0x9669, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2810, symSize: 0xB0 }
  - { offsetInCU: 0x96C4, offset: 0x96C4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2710, symSize: 0x100 }
  - { offsetInCU: 0x9957, offset: 0x9957, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2940, symSize: 0xC0 }
  - { offsetInCU: 0x99A9, offset: 0x99A9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2A00, symSize: 0x220 }
  - { offsetInCU: 0x9B8E, offset: 0x9B8E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2C20, symSize: 0xA0 }
  - { offsetInCU: 0x9C41, offset: 0x9C41, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2CC0, symSize: 0x110 }
  - { offsetInCU: 0x9D37, offset: 0x9D37, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2DD0, symSize: 0x150 }
  - { offsetInCU: 0x9E94, offset: 0x9E94, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2F20, symSize: 0x30 }
  - { offsetInCU: 0x9F1D, offset: 0x9F1D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2F50, symSize: 0x150 }
  - { offsetInCU: 0xA115, offset: 0xA115, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x30A0, symSize: 0x160 }
  - { offsetInCU: 0xA3D5, offset: 0xA3D5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3200, symSize: 0x4A0 }
  - { offsetInCU: 0xA648, offset: 0xA648, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x36A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA863, offset: 0xA863, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3850, symSize: 0xA0 }
  - { offsetInCU: 0xA932, offset: 0xA932, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x38F0, symSize: 0x20 }
  - { offsetInCU: 0xA969, offset: 0xA969, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3910, symSize: 0x20 }
  - { offsetInCU: 0xA9A0, offset: 0xA9A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3930, symSize: 0x20 }
  - { offsetInCU: 0xAB0F, offset: 0xAB0F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3950, symSize: 0x1A0 }
  - { offsetInCU: 0xAE2B, offset: 0xAE2B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3AF0, symSize: 0x130 }
  - { offsetInCU: 0xAFDB, offset: 0xAFDB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3E90, symSize: 0x1B0 }
  - { offsetInCU: 0xB2CA, offset: 0xB2CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4040, symSize: 0x80 }
  - { offsetInCU: 0xB393, offset: 0xB393, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x40C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBF28, offset: 0xBF28, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA690, symBinAddr: 0x5CA0, symSize: 0xB0 }
  - { offsetInCU: 0xBF9F, offset: 0xBF9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4760, symSize: 0x70 }
  - { offsetInCU: 0xC05B, offset: 0xC05B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x47D0, symSize: 0xA0 }
  - { offsetInCU: 0xC13A, offset: 0xC13A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4870, symSize: 0x40 }
  - { offsetInCU: 0xC230, offset: 0xC230, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x48B0, symSize: 0x2B0 }
  - { offsetInCU: 0xC5D6, offset: 0xC5D6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4B60, symSize: 0xC0 }
  - { offsetInCU: 0xC71C, offset: 0xC71C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4C20, symSize: 0x10 }
  - { offsetInCU: 0xC7DE, offset: 0xC7DE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4C30, symSize: 0x220 }
  - { offsetInCU: 0xCA9D, offset: 0xCA9D, size: 0x8, addend: 0x0, symName: _printHeapRefCallbackInfo, symObjAddr: 0x6730, symBinAddr: 0x4E50, symSize: 0x150 }
  - { offsetInCU: 0xCC4E, offset: 0xCC4E, size: 0x8, addend: 0x0, symName: _wrongHeapReferenceCallback, symObjAddr: 0x6880, symBinAddr: 0x4FA0, symSize: 0xD0 }
  - { offsetInCU: 0xCD95, offset: 0xCD95, size: 0x8, addend: 0x0, symName: _wrongPrimitiveFieldCallback, symObjAddr: 0x6950, symBinAddr: 0x5070, symSize: 0x90 }
  - { offsetInCU: 0xCE72, offset: 0xCE72, size: 0x8, addend: 0x0, symName: _wrongArrayPrimitiveValueCallback, symObjAddr: 0x69E0, symBinAddr: 0x5100, symSize: 0x90 }
  - { offsetInCU: 0xCF4F, offset: 0xCF4F, size: 0x8, addend: 0x0, symName: _wrongStringPrimitiveValueCallback, symObjAddr: 0x6A70, symBinAddr: 0x5190, symSize: 0x80 }
  - { offsetInCU: 0xD060, offset: 0xD060, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5210, symSize: 0x10 }
  - { offsetInCU: 0xD0BD, offset: 0xD0BD, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5220, symSize: 0x2E0 }
  - { offsetInCU: 0xD382, offset: 0xD382, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EF0, symBinAddr: 0x5500, symSize: 0x10 }
  - { offsetInCU: 0xD42C, offset: 0xD42C, size: 0x8, addend: 0x0, symName: _heapReferenceCallback, symObjAddr: 0x9F00, symBinAddr: 0x5510, symSize: 0x1A0 }
  - { offsetInCU: 0xD625, offset: 0xD625, size: 0x8, addend: 0x0, symName: _primitiveFieldCallback, symObjAddr: 0xA0A0, symBinAddr: 0x56B0, symSize: 0xF0 }
  - { offsetInCU: 0xD720, offset: 0xD720, size: 0x8, addend: 0x0, symName: _arrayPrimitiveValueCallback, symObjAddr: 0xA190, symBinAddr: 0x57A0, symSize: 0xE0 }
  - { offsetInCU: 0xD81B, offset: 0xD81B, size: 0x8, addend: 0x0, symName: _stringPrimitiveValueCallback, symObjAddr: 0xA270, symBinAddr: 0x5880, symSize: 0x70 }
  - { offsetInCU: 0xD989, offset: 0xD989, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2E0, symBinAddr: 0x58F0, symSize: 0x3B0 }
  - { offsetInCU: 0xDDE7, offset: 0xDDE7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA740, symBinAddr: 0x5D50, symSize: 0x36A }
...
